> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves a user's crypto wallet addresses

> get wallet



## OpenAPI

````yaml get /wallet
openapi: 3.0.2
info:
  title: Coinprofile business API
  version: 1.0.0
  description: Coinprofile business API
servers:
  - url: https://staging-biz.coinprofile.co/v2
    description: Production
security: []
tags: []
paths:
  /wallet:
    get:
      summary: Retrieves a user's crypto wallet addresses
      description: get wallet
      operationId: get-wallet
      parameters:
        - in: query
          name: currency
          description: The cryptocurrency for which address will be retrieved
          schema:
            type: string
        - in: query
          name: network
          description: The crypto network of the retrieved wallet address
          schema:
            type: string
      responses:
        '200':
          description: successfully retrieved wallet
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  wallet:
                    type: object
                    properties:
                      createdAt:
                        type: number
                        format: int32
                      updatedAt:
                        type: number
                        format: int32
                      appName:
                        type: string
                      reference:
                        type: string
                      uid:
                        type: string
                      status:
                        type: string
                      version:
                        type: string
                      addresses:
                        type: array
      security:
        - ApiUser: []
          ApiKey: []
          UserVersion: []
components:
  securitySchemes:
    ApiUser:
      type: apiKey
      in: header
      name: X-Api-User
    ApiKey:
      type: apiKey
      in: header
      name: X-Api-Key
    UserVersion:
      type: apiKey
      in: header
      name: X-User-Version

````